Subject: bug#22250: 25.0.50; Eww fails to break RTL paragraph

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Dec 2015 23:00:04 +0200

> Date: Sun, 27 Dec 2015 22:28:20 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Date: Sun, 27 Dec 2015 22:22:34 +0200
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > So now I have to ask Benjamin why does he think there's a bug here.
> > Because I don't see any bug.  I do agree that the display looks
> > strange, but that's what you get for displaying long lines of LTR text
> > in a RTL paragraph with truncate-lines set to t.  RTL paragraphs are
> > for predominantly RTL text, exactly like LTR paragraphs are for
> > predominantly LTR text.
> 
> Ignore me, I didn't think clearly.  I see the problem.

The problem is that when you have a LTR line in RTL paragraph, you
start filling line not at window edge, and the window is already
hscrolled.

I need to think how to fix this cleanly.

Meanwhile, can you tell what is that 'shr-indentation' property used
for?  It looks related to filling lines.